org.licas.autonomic.script

## Class ActionSequential

- java.lang.Object
- - org.licas.autonomic.script.ActionSequential

-     public class ActionSequential
      extends java.lang.Object

  This manages a sequential action executed on an `AutoEngine` script. This should execute a sequence of instructions until an effector list is returned or the end of the script is reached.
  Author:
    Kieran Greer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionSequential()` Create a new instance of ActionSequential.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `sequential(java.lang.String commID, AutoEngine autoEngine)` Execute a configurable autonomic event, based on the evaluation result.
    `void` | `setEffVars(java.util.ArrayList varList)` Set the list of effector variables.
    `void` | `setEvalVars(java.util.ArrayList varList)` Set the list of evaluator variables.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionSequential

          public ActionSequential()

      Create a new instance of ActionSequential.

  - ### Method Detail

    - #### sequential

          public java.lang.Object sequential(java.lang.String commID,
                                             AutoEngine autoEngine)
                                      throws java.lang.Exception

      Execute a configurable autonomic event, based on the evaluation result.
      Parameters:
        `commID` - a communication thread ID, from the MessageInfo object, for example.
        `autoEngine` - the execution engine. May already have some variables stored.
      Returns:
        the finally evaluated effector method result.
      Throws:
        `java.lang.Exception` - any error.

    - #### setEvalVars

          public void setEvalVars(java.util.ArrayList varList)

      Set the list of evaluator variables.
      Parameters:
        `varList` - variable values list.

    - #### setEffVars

          public void setEffVars(java.util.ArrayList varList)

      Set the list of effector variables.
      Parameters:
        `varList` - effector variable values.